MGASA-2019-0422 - Updated xpdf packages fix security vulnerability

Publication date: 31 Dec 2019
URL: https://advisories.mageia.org/MGASA-2019-0422.html
Type: security
Affected Mageia releases: 7
CVE: CVE-2019-17064

The updated packages fix a security vulnerability:

Catalog.cc in Xpdf 4.02 has a NULL pointer dereference because
Catalog.pageLabels is initialized too late in the Catalog
constructor. (CVE-2019-17064)

References:
- https://bugs.mageia.org/show_bug.cgi?id=25973
- https://lists.fedoraproject.org/archives/list/[email protected]/thread/TMDB2CGUYDW2RENE2I2TT6QNFEEI2CNF/
- https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-17064

SRPMS:
- 7/core/xpdf-4.02-1.1.mga7